Bug 83316 - xorg-libraries/sparc64: locale not supported by Xlib
Summary: xorg-libraries/sparc64: locale not supported by Xlib
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-12 09:00 UTC by bel
Modified: 2005-08-26 19:58 UTC (History)
1 user (show)

See Also:


Attachments
patch-XlcDL.c (434 bytes, text/plain; charset="us-ascii")
2005-08-15 23:19 UTC, Dejan Lesjak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description bel 2005-07-12 09:00:38 UTC
	Xorg does not support locales on FreeBSD/sparc64. Clipboard paste
does not work in xterm. No way to type national symbols in xterm.

Fix: 

Here is workaround. Go to lib/X11/locale/common and make symbolic link
to existing directory with shared libraries:

# cd /usr/X11R6/lib/X11/locale/common
# ln -s ../lib/common sparcv9
How-To-Repeat: 
	Run xterm and try copy and paste. Try to type national symbols from
keyboard. Use truss(1) for trace open(2) system calls and determine needed
shared libraries.

$ xterm
Warning: locale not supported by Xlib, locale set to C
Warning: X locale modifiers not supported, using default
Failed to open input method
Comment 1 Pav Lucistnik freebsd_committer 2005-07-13 00:11:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-x11

Over to maintainers
Comment 2 Dejan Lesjak 2005-08-15 23:19:04 UTC
Please try reinstalling x11/xorg-libraries port after putting attached patch 
into x11/xorg-libraries/files directory. You should of course remove the 
workaround symlink before trying if this solves the issue.
(Patch also available at 
http://www.ijs.si/~lesi/xorg/sparc-locale/patch-XlcDL.c if fetching is easier 
that way)
Comment 3 bel 2005-08-16 11:41:39 UTC
Dejan Lesjak wrote:
> Please try reinstalling x11/xorg-libraries port after putting attached patch 
> into x11/xorg-libraries/files directory. You should of course remove the 
> workaround symlink before trying if this solves the issue.
> (Patch also available at 
> http://www.ijs.si/~lesi/xorg/sparc-locale/patch-XlcDL.c if fetching is easier 
> that way)
> 
> 
[patch skipped]

This patch solves the issue. Thanks!
Comment 4 Dejan Lesjak 2005-08-17 13:33:59 UTC
On Tuesday 16 of August 2005 12:41, Andrew Belashov wrote:
> [patch skipped]
>
> This patch solves the issue. Thanks!

Neat, I'll commit after the ports freeze is over. Thanks for report and test!
Comment 5 marius 2005-08-25 21:58:16 UTC
I can confirm that your patch solves this issue (actually I came up
with the same and just noticed later that there was progress on this
PR). Could you please try to get it approved during freeze so the
premiere of graphical console support on sparc64 in 6.0 is as good as
possible? :)

Thanks,
Marius
Comment 6 lesi freebsd_committer 2005-08-26 19:57:53 UTC
State Changed
From-To: open->closed

Fix committed. It should be there in 6.0 release packages.